# $Revision: 1.46 $, $Date: 2010/07/22 11:57:09 $
Summary:	The Internet superserver daemon -- inetd
Summary(de.UTF-8):	Enthält die Netzwerkprogramm inetd
Summary(fr.UTF-8):	Inclut les programm réseau inetd
Summary(pl.UTF-8):	Super-serwer sieciowy -- inetd
Summary(tr.UTF-8):	inetd programlarını içerir
Name:		inetd
Version:	0.17
Release:	14
License:	BSD
Group:		Daemons
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-base-%{version}.tar.gz
# Source0-md5:	1f0193358e92559ec0f598b09ccbc0ec
Source1:	%{name}.inet.sh
Source2:	%{name}.conf.5
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	6e7cdb6277c4333a9c0d1e3e2231f29f
Patch0:		netkit-base-configure.patch
Patch1:		netkit-base-fixes.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	rc-inetd >= 0.8.1
Requires:	rc-scripts
Requires:	tcp_wrappers
Provides:	inetdaemon
Obsoletes:	inetdaemon
Obsoletes:	netkit-base
Obsoletes:	rlinetd
Obsoletes:	xinetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The netkit-base package contains the basic networking program inetd.
Inetd listens on certain Internet sockets for connection requests,
decides what program should receive each request, and starts up that
program.

%description -l de.UTF-8
Dieses Paket stellt das inetd-Programm bereit, der für elementare
Netzwerkaufgaben benutzt wird.

%description -l fr.UTF-8
Ce paquetage contient les programm inetd, tous deux utilisés pour le
réseau.

%description -l pl.UTF-8
W pakiecie tym znajduje się program inetd. Inetd wychwytuje żądania
połączeń na portach sieciowych, odsyłając je do uruchamianego przez
siebie konkretnego programu, który ma je obsłużyć.

%description -l tr.UTF-8
Bu paket ağ hizmetlerinde kullanılan temel yazılımlardan inetd içerir.

%prep
%setup -q -n netkit-base-%{version}
%patch0 -p1
%patch1 -p1

%build
export RPM_OPT_FLAGS="%{rpmcflags}"
./configure \
	--with-c-compiler="%{__cc}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8}}

install inetd/inetd $RPM_BUILD_ROOT%{_sbindir}
install inetd/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

> $RPM_BUILD_ROOT%{_sysconfdir}/inetd.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inet.script
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man5

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd restart

%preun
if [ "$1" = "0" ]; then
	%service -q rc-inetd restart
fi

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README
%attr(640,root,root) %ghost %{_sysconfdir}/inetd.conf
%attr(640,root,root) /etc/sysconfig/rc-inet.script
%attr(755,root,root) %{_sbindir}/inetd
%{_mandir}/man[58]/*
%lang(es) %{_mandir}/es/man8/inetd.8*
%lang(ja) %{_mandir}/ja/man8/inetd.8*
%lang(pl) %{_mandir}/pl/man8/inetd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: inetd.spec,v $
Revision 1.46  2010/07/22 11:57:09  baggins
- rel 14

Revision 1.45  2010/07/22 11:56:23  baggins
- rel 13
- allow FLAGS to be a list in rc-inetd script

Revision 1.44  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.42  2006/03/12 14:00:49  qboosh
- added fixes patch (fixes build with gcc 4, kills some warnings)
- added RPC services support to rc-inet script
- actually package non-en manuals
- release 12

Revision 1.41  2006/02/28 19:28:56  glen
- use %service
- weird dep dropped (there's only one rc-inetd package)
- fixed preun (don't stop services this package doesn't own)
- rel 11

Revision 1.40  2004/08/18 21:31:51  undefine
- release 10

Revision 1.39  2003/12/01 02:22:14  undefine
- release 9 to rebuild with ac

Revision 1.38  2003/05/28 12:59:09  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 05:48:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2002/07/31 21:51:51  blues
- release 8
- new doc
- rebuild with slightly changed startup script
STBR

Revision 1.35  2002/04/25 16:36:38  arturs
fixed a small typo

Revision 1.34  2002/03/01 10:03:55  ankry
- added non-english-man-pages
- release 7

Revision 1.33  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/20 21:16:52  gotar
- added Requires: tcp_wrappers,
- release 6.

Revision 1.31  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/11/30 08:38:18  qboosh
- adapterized, typo

Revision 1.29  2001/09/12 23:31:10  ankry
- added support for service name aliases from /etc/services
- check also $PROTOCOL, not only $PORT

Revision 1.28  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.26  2001/06/16 04:10:03  kloczek
- release 4,
- fixed rc-inetd backend script: support for services not known in
  /etc/services and for common services set on unusual ports (klakier).

Revision 1.25  2001/05/30 08:52:01  kloczek
- release 3.

Revision 1.24  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.23  2000/11/10 21:06:58  kloczek
- release 2,
- use new rpm automation,
- added xinetd to Obsoletes.

Revision 1.22  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.21  2000/08/24 21:23:28  pascalek
- update to 0.17

Revision 1.20  2000/08/20 16:13:29  zagrodzki
- fixed inetd.inet.sh

Revision 1.19  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.18  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.15  2000/03/25 00:52:24  kura
- typo and ort (rządać -> żądać)!

Revision 1.14  2000/03/01 17:45:06  kloczek
- release 4,
- much beter error handling and displaing error messages on parsing each
  file with service description in rc-inetd backend script,
- spec adapterized.

Revision 1.13  2000/01/10 04:01:09  kloczek
- updated to 0.16 (release 3),
- adapter(ized),
- added "Obsoletes: rlinetd",
- removed level 3 man pages and added missing inetd.conf(5) man page,
- removed "Prereq: /sbin/chkconfig",
- added full Source url.

Revision 1.12  1999/12/21 19:19:29  bszx
- support for rc-inetd reload

Revision 1.11  1999/10/06 06:56:19  waszi
- added rc-inetd.script

Revision 1.10  1999/09/15 23:45:04  pius
- Provides: inetd -> Provides: inetdaemon

Revision 1.9  1999/09/11 13:41:57  misiek
- fixed requires (PR#36)

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 22 1999 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.10-11]
- added inetd.sysconfig,
- fixed %preun && %post,
- fixes for correct build.

* Thu Apr 15 1999 Michał Kuratczyk <kura@pld.org.pl>
  [0.10-5]
- gzipping documentation (instead bzipping)
- removed man group from man pages

* Mon Nov 08 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.10-2d]
- fixed symlinks,
- fixed %post & %preun sections,
- added qmail in /etc/inetd.conf.

* Wed Oct 14 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.10-1d]
- build against GNU libc-2.1,
- removed ping,
- renamed to inetd,
- added default kerberized services,
- major changes - designed for PLD Tornado.
- start at RH spec.
